Bug 985904 - avrdude.conf not founded
avrdude.conf not founded
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ino (Show other bugs)
18
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Alberto Ruiz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-18 09:21 EDT by LAurent_B
Modified: 2013-09-20 12:29 EDT (History)
4 users (show)

See Also:
Fixed In Version: ino-0.3.5-5.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-02 19:33:15 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description LAurent_B 2013-07-18 09:21:37 EDT
Description of problem:
* avrdude.conf not founded 

Version-Release number of selected component (if applicable):
* 2013-01-29 Miro Hron\u010dok <mhroncok@redhat.com> - 0.3.5-1

Steps to Reproduce: (with arduino board connected)
1. ino init -t blink
2. mkdir lib
3. ino clean && ino  build
4. ino  upload


Actual results:
ino  upload
Searching for stty ... /usr/bin/stty
Searching for avrdude ... /usr/bin/avrdude
Searching for avrdude.conf ... FAILED
avrdude.conf not found. Searched in following places: 
  - /usr/local/share/arduino/hardware/tools
  - /usr/share/arduino/hardware/tools

Expected results:
ino  upload
Searching for Board description file (boards.txt) ... /usr/share/arduino/hardware/arduino/boards.txt
Searching for stty ... /usr/bin/stty
Searching for avrdude ... /usr/bin/avrdude
Searching for avrdude.conf ... /etc/avrdude/avrdude.conf
Guessing serial port ... /dev/ttyACM0

avrdude: AVR device initialized and ready to accept instructions

Reading | ################################################## | 100% 0.00s

avrdude: Device signature = 0x1e950f
avrdude: reading input file "build/uno/firmware.hex"
avrdude: can't open input file build/uno/firmware.hex: No such file or directory
avrdude: read from file 'build/uno/firmware.hex' failed

avrdude: safemode: Fuses OK

avrdude done.  Thank you.


Additional info:

* My quick and dirty solution

diff /usr/lib/python2.7/site-packages/ino/commands/upload.py.original /usr/lib/python2.7/site-packages/ino/commands/upload.py
41,42c41,42
<             self.e.find_arduino_tool('avrdude', ['hardware', 'tools'])
<             self.e.find_arduino_file('avrdude.conf', ['hardware', 'tools'])
---
>             self.e.find_arduino_tool('avrdude', ['etc', 'avrdude'])
>             self.e.find_arduino_file('avrdude.conf', ['etc', 'avrdude'])

diff /usr/lib/python2.7/site-packages/ino/environment.py.original /usr/lib/python2.7/site-packages/ino/environment.py
56c56
<     output_dir = '.build'
---
>     output_dir = 'build'
64a65
>       '/'


The first change in /usr/lib/python2.7/site-packages/ino/environment.py is for my own convenience



* Report in inotool wiki

https://github.com/amperka/ino/issues/51
Comment 1 Fedora Update System 2013-08-30 07:36:49 EDT
ino-0.3.5-5.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/ino-0.3.5-5.fc19
Comment 2 Fedora Update System 2013-08-30 07:40:47 EDT
ino-0.3.5-5.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ino-0.3.5-5.fc18
Comment 3 Fedora Update System 2013-08-30 18:55:18 EDT
Package ino-0.3.5-5.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ino-0.3.5-5.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-15546/ino-0.3.5-5.fc19
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-09-02 19:33:15 EDT
ino-0.3.5-5.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2013-09-20 12:29:12 EDT
ino-0.3.5-5.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.